Bug 258650

Summary: mail/postfixadmin: Update to 3.4.dev.20211018, adds php:flavors support, adds -lite slave
Product: Ports & Packages Reporter: Mel Pilgrim <ports.maintainer>
Component: Individual Port(s)Assignee: Yasuhiro Kimura <yasu>
Status: Closed FIXED    
Severity: Affects Many People CC: eduardo, yasu
Priority: --- Keywords: patch
Version: LatestFlags: ports.maintainer: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
update patch
ports.maintainer: maintainer-approval+
QA: poudriere bulk -t outputs
none
Update to 3.4.dev.20211018, adds php:flavors support, adds -lite slave
ports.maintainer: maintainer-approval+
QA: poudriere testport output for postfixadmin-lite and postfixadmin none

Description Mel Pilgrim 2021-09-21 02:50:23 UTC
Add php:flavors
Add a lite flavor that provides a perl-free version of the pkg
Update to commit a7a9b15e4: fixes Czech translation
Comment 1 Mel Pilgrim 2021-09-21 02:51:22 UTC
Created attachment 228075 [details]
update patch
Comment 2 Mel Pilgrim 2021-09-21 02:53:53 UTC
Created attachment 228076 [details]
QA: poudriere bulk -t outputs
Comment 3 Yasuhiro Kimura freebsd_committer 2021-10-17 15:20:38 UTC
(In reply to Rin Morningstar from comment #0)

Flavor is one-dimensional and you can't use it double in one port.
If you want to provide 6 variations ({full,lite} x {php73,php74,php80}), I recommend you to use flavor for PHP and create mail/postfixadmin-lite as slave port of mail/postfixadmin.
Comment 4 Mel Pilgrim 2021-10-24 17:51:32 UTC
Created attachment 228991 [details]
Update to 3.4.dev.20211018, adds php:flavors support, adds -lite slave

Revised patch based on Yasuhiro Kimura's feedback. The port now uses only php:flavors and splits the "lite" flavor into a slave port.
Comment 5 Mel Pilgrim 2021-10-24 17:52:51 UTC
Created attachment 228992 [details]
QA: poudriere testport output for postfixadmin-lite and postfixadmin
Comment 6 Yasuhiro Kimura freebsd_committer 2021-10-27 08:40:45 UTC
Take.
Comment 7 commit-hook freebsd_committer 2021-10-27 08:42:55 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=585a25360c2cd45f385041688c2afe7d17d1ec35

commit 585a25360c2cd45f385041688c2afe7d17d1ec35
Author:     Mel Pilgrim <ports.maintainer@evilphi.com>
AuthorDate: 2021-10-25 06:45:14 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-27 08:42:19 +0000

    mail/postfixadmin: Update to 3.4.dev.20211018

    * Enable PHP flavor support
    * Add slave port mail/postfixadmin-lite

    PR:             258650
    Differential Revision:  https://reviews.freebsd.org/D32636

 mail/Makefile                         |   1 +
 mail/postfixadmin-lite/Makefile (new) |   5 ++
 mail/postfixadmin/Makefile            |  42 ++++++----
 mail/postfixadmin/distinfo            |   6 +-
 mail/postfixadmin/pkg-plist           | 148 +++++++++++++++++-----------------
 5 files changed, 109 insertions(+), 93 deletions(-)
Comment 8 Yasuhiro Kimura freebsd_committer 2021-10-27 08:50:53 UTC
Committed. Thanks!